import request from "@/utils/request";

export function launch(data) {
  return request({
    url: "/v1/message/launch",
    method: "post",
    data,
  });
}
// 省市区选择
export function areaList(params) {
  return request({
    url: "/enterprise/v1/config/area",
    method: "get",
    params,
  });
}
// 领域
export function industry(params) {
  return request({
    url: "/enterprise/v1/config/industry",
    method: "get",
    params,
  });
}

// 省列表
export function provinceList() {
  return request({
    url: "/region/allProvince",
    method: "get",
  });
}

// 市列表
export function cityList(provinceCode) {
  return request({
    url: "/region/allCity",
    method: "get",
    params: {
      provinceCode,
    },
  });
}

// 县区列表
export function districtList(cityCode) {
  return request({
    url: "/region/allArea",
    method: "get",
    params: {
      cityCode,
    },
  });
}

// 获取领域列表
export function listSysIndustry(query) {
  return request({
    url: "/business/sysIndustry/list",
    method: "get",
    params: query,
  });
}
